Package com.microsoft.sqlserver.jdbc

## Interface ISQLServerCallableStatement42

All Superinterfaces:
  `AutoCloseable`, `CallableStatement`, `ISQLServerCallableStatement`, `ISQLServerPreparedStatement`, `ISQLServerPreparedStatement42`, `ISQLServerStatement`, `PreparedStatement`, `Statement`, `Wrapper`

All Known Implementing Classes:
  `SQLServerCallableStatement42`

    public interface ISQLServerCallableStatement42
    extends ISQLServerCallableStatement, ISQLServerPreparedStatement42

This interface requires all the CallableStatement methods including those are specific to JDBC 4.2

### Field Summary

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `registerOutParameter​(int index, SQLType sqlType)`
`void` `registerOutParameter​(int index, SQLType sqlType, int scale)`
`void` `registerOutParameter​(int index, SQLType sqlType, int precision, int scale)` Registers the parameter in ordinal position index to be of JDBC type sqlType.
`void` `registerOutParameter​(int index, SQLType sqlType, String typeName)`
`void` `registerOutParameter​(String parameterName, SQLType sqlType)`
`void` `registerOutParameter​(String parameterName, SQLType sqlType, int scale)`
`void` `registerOutParameter​(String parameterName, SQLType sqlType, int precision, int scale)` Registers the parameter in ordinal position index to be of JDBC type sqlType.
`void` `registerOutParameter​(String parameterName, SQLType sqlType, String typeName)`
`void` `setObject​(String sCol, Object obj, SQLType jdbcType)`
`void` `setObject​(String sCol, Object obj, SQLType jdbcType, int scale)`
`void` `setObject​(String sCol, Object obj, SQLType jdbcType, int scale, boolean forceEncrypt)` Sets the value of the designated parameter with the given object.

### Methods inherited from interface java.sql.CallableStatement

`getArray, getArray, getBigDecimal, getBigDecimal, getBigDecimal, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getDate, getDate, getDate, getDate, getDouble, getDouble, getFloat, getFloat, getInt, getInt, getLong, getLong, getNCharacterStream, getNCharacterStream, getNClob, getNClob, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getRowId, getRowId, getShort, getShort, getSQLXML, getSQLXML, getString, getString, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getURL, getURL, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, registerOutParameter, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setURL, wasNull`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerCallableStatement

`getDateTimeOffset, getDateTimeOffset, setDateTimeOffset`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerPreparedStatement

`setDateTimeOffset`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerPreparedStatement42

`setObject, setObject, setObject, setObject`

### Methods inherited from interface com.microsoft.sqlserver.jdbc.ISQLServerStatement

`getResponseBuffering, setResponseBuffering`

### Methods inherited from interface java.sql.PreparedStatement

`addBatch, clearParameters, execute, executeLargeUpdate, executeQuery, executeUpdate, getMetaData, getParameterMetaData, setArray, setAsciiStream, setAsciiStream, setAsciiStream, setBigDecimal, setBinaryStream, setBinaryStream, setBinaryStream, setBlob, setBlob, setBlob, setBoolean, setByte, setBytes, setCharacterStream, setCharacterStream, setCharacterStream, setClob, setClob, setClob, setDate, setDate, setDouble, setFloat, setInt, setLong, setNCharacterStream, setNCharacterStream, setNClob, setNClob, setNClob, setNString, setNull, setNull, setObject, setObject, setObject, setRef, setRowId, setShort, setSQLXML, setString, setTime, setTime, setTimestamp, setTimestamp, setUnicodeStream, setURL`

### Methods inherited from interface java.sql.Statement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, enquoteIdentifier, enquoteLiteral, enquoteNCharLiteral, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isSimpleIdentifier, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Method Detail

#### registerOutParameter

    void registerOutParameter​(int index,
                              SQLType sqlType)
                       throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    void registerOutParameter​(int index,
                              SQLType sqlType,
                              String typeName)
                       throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    void registerOutParameter​(int index,
                              SQLType sqlType,
                              int scale)
                       throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    void registerOutParameter​(int index,
                              SQLType sqlType,
                              int precision,
                              int scale)
                       throws SQLServerException

Registers the parameter in ordinal position index to be of JDBC type sqlType. All OUT parameters must be registered before a stored procedure is executed.

The JDBC type specified by sqlType for an OUT parameter determines the Java type that must be used in the get method to read the value of that parameter.

Parameters:
  `index` - the first parameter is 1, the second is 2,...
  `sqlType` - the JDBC type code defined by SQLType to use to register the OUT Parameter.
  `precision` - the sum of the desired number of digits to the left and right of the decimal point. It must be greater than or equal to zero.
  `scale` - the desired number of digits to the right of the decimal point. It must be greater than or equal to zero.
Throws:
  `SQLServerException` - If any errors occur.

#### setObject

    void setObject​(String sCol,
                   Object obj,
                   SQLType jdbcType)
            throws SQLServerException

Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setObject

    void setObject​(String sCol,
                   Object obj,
                   SQLType jdbcType,
                   int scale)
            throws SQLServerException

Specified by:
  `setObject` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### setObject

    void setObject​(String sCol,
                   Object obj,
                   SQLType jdbcType,
                   int scale,
                   boolean forceEncrypt)
            throws SQLServerException

Sets the value of the designated parameter with the given object.

Parameters:
  `sCol` - the name of the parameter
  `obj` - the object containing the input parameter value
  `jdbcType` - the SQL type to be sent to the database
  `scale` - scale the desired number of digits to the right of the decimal point. It must be greater than or equal to zero.
  `forceEncrypt` - true if force encryption is on, false if force encryption is off
Throws:
  `SQLServerException` - If any errors occur.

#### registerOutParameter

    void registerOutParameter​(String parameterName,
                              SQLType sqlType,
                              String typeName)
                       throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    void registerOutParameter​(String parameterName,
                              SQLType sqlType,
                              int scale)
                       throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`

#### registerOutParameter

    void registerOutParameter​(String parameterName,
                              SQLType sqlType,
                              int precision,
                              int scale)
                       throws SQLServerException

Registers the parameter in ordinal position index to be of JDBC type sqlType. All OUT parameters must be registered before a stored procedure is executed.

The JDBC type specified by sqlType for an OUT parameter determines the Java type that must be used in the get method to read the value of that parameter.

Parameters:
  `parameterName` - the name of the parameter
  `sqlType` - the JDBC type code defined by SQLType to use to register the OUT Parameter.
  `precision` - the sum of the desired number of digits to the left and right of the decimal point. It must be greater than or equal to zero.
  `scale` - the desired number of digits to the right of the decimal point. It must be greater than or equal to zero.
Throws:
  `SQLServerException` - If any errors occur.

#### registerOutParameter

    void registerOutParameter​(String parameterName,
                              SQLType sqlType)
                       throws SQLServerException

Specified by:
  `registerOutParameter` in interface `CallableStatement`
Throws:
  `SQLServerException`